.TH CosEventChannelAdmin_ProxyPushSupplier 3 "cosEvent  2.1.6" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosEventChannelAdmin_ProxyPushSupplier \- This module implements a ProxyPushSupplier interface which acts as a middleman between push consumer and the event channel\&.
.SH DESCRIPTION
.LP
The ProxyPushSupplier interface defines the second step for connecting push consumers to the event channel\&. A proxy supplier is similar to a normal supplier, but includes an additional method for connecting a consumer to the proxy supplier\&.
.LP
To get access to all definitions, e\&.g\&., exceptions, include necessary \fIhrl\fR files by using:
.br
\fI-include_lib("cosEvent/include/*\&.hrl")\&.\fR
.LP
Any object that possesses an object reference that supports the ProxyPushSupplier interface can perform the following operations:

.SH EXPORTS
.LP
.B
connect_push_consumer(Object, PushConsumer) -> Return
.br
.RS
.TP
Types
Object = #objref
.br
PushConsumer = #objref of PushConsumer type
.br
Return = ok | {\&'EXCEPTION\&', E}
.br
E = #\&'CosEventChannelAdmin_AlreadyConnected\&'{} | #\&'CosEventChannelAdmin_TypeError\&'{}
.br
.RE
.RS
.LP
This operation connects PushConsumer object to the ProxyPushSupplier object\&. If a nil object reference is passed CORBA standard \fIBAD_PARAM\fR exception is raised\&. If the ProxyPushSupplier is already connected to a PushConsumer, then the \fICosEventChannelAdmin_AlreadyConnected\fR exception is raised\&. Implementations of ProxyPushSuppliers may require additional interface functionality; if these requirements are not met the \fICosEventChannelAdmin_TypeError\fR exception will be raised\&.
.RE
.LP
.B
disconnect_push_supplier(Object) -> Return
.br
.RS
.TP
Types
Object = #objref
.br
Return = ok
.br
.RE
.RS
.LP
This operation disconnects proxy push supplier from the event channel and sends a notification about the loss of the connection to the push consumer attached to it\&.
.RE
